﻿@using Microsoft.AspNetCore.Identity
@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager


@if (SignInManager.IsSignedIn(User))
{
    var user = await UserManager.GetUserAsync(User);
    var Isnoafarin = user.Refrence == "Noafarin";

    <div id="header2" class="hidden-sm-md">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12" style="padding-right:0;padding-left:0;">
                    <ul id="main-nav">
                        <li style="position:relative;">

                            <a style="cursor:default;padding-right:0;margin-left: 10px;">
                                <form class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
                                    <button style="cursor:pointer;background: transparent;color: white;padding-left: 0;line-height: 0;padding: 0;font-weight: 300;display: inline;" type="submit" id="sign-out">
                                        <i style="margin-left: 0;   font-size: 16px;
                                     margin-right: 0;" class="fa fa-sign-out"></i> خروج از لامینگو
                                    </button>
                                </form>
                            </a>
                            <a style="padding-right:0;cursor:default;" onclick="ga('send' , 'event', 'Menu', 'onclick', 'ورود', '3')">
                                پروفایل شما
                            </a>
                            @if (Isnoafarin)
                            {
                                <span style="color: #1468a0;background: #fff;font-size: 12px;padding: 3px 10px;border-radius: 10px;">
                                    کاربر تائیدشده نوآفرین
                                    <img src="/Images/irannoafarin.png" style="width: 20px;" />
                                </span>
                            }
                            <ul class="sub-menu">

                                @if (User.IsInRole("Admin"))
                                {
                                    <li class="menu-item Profile-User admin">
                                        <a href="@Url.Action("Index","Home",new { area="Admin" })">
                                            <i class="fa fa-key"></i>
                                            <span> پنل مدیریت</span>
                                        </a>
                                    </li>
                                }
                                <li class="menu-item">
                                    <a onclick="ga('send', 'event', 'CreateContract', 'onclick', 'پروفایل کاربری', '1')" asp-area="Identity" asp-page="/Account/Manage/Index" title="پروفایل ">
                                        <i class="fa fa-user-circle"></i>
                                        پروفایل
                                        <span id="subscrib-user">
                                        </span>
                                    </a>
                                </li>
                                <li class="menu-item">
                                    <a onclick="ga('send', 'event', 'CreateContract', 'onclick', 'قراردادهای من', '1')" asp-area="Identity" asp-page="/Account/Manage/Contract"><i class="fa fa-files-o"></i>قراردادهای من </a>
                                </li>
                                <li class="menu-item">
                                    <form style="cursor:pointer;" class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
                                        <button style="cursor:pointer;" type="submit" id="sign-out"> <i class="fa fa-sign-out"></i> خروج </button>
                                    </form>
                                </li>
                            </ul>
                        </li>
                        <li class="last">
                            <a style="padding-left:0;">
                                02188678691 | 02188673186
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>

}
else
{

    <div id="header2">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12" style="padding-right: 0; padding-left: 0;">

                    <ul id="main-nav">
                        <li>
                            <a style="padding-right:0;" onclick="ga('send' , 'event', 'Menu', 'onclick', 'ورود', '3')" asp-area="Identity" asp-page="/Account/Login">
                                ورود به لامینگو
                            </a>
                        </li>
                        <li>
                            <a onclick="ga('send' , 'event', 'Menu', 'onclick', 'ثبت نام', '3')" asp-area="Identity" asp-page="/Account/Register">
                                ثبت نام
                            </a>
                        </li>
                        <li class="last">
                            <a style="padding-left:0;">
                                02188678691 | 02188673186
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>

}
